io.netty.handler.codec.mqtt

## Class MqttMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage

Direct Known Subclasses:
  MqttConnAckMessage, MqttConnectMessage, MqttPubAckMessage, MqttPublishMessage, MqttSubAckMessage, MqttSubscribeMessage, MqttUnsubAckMessage, MqttUnsubscribeMessage

    public class MqttMessage
    extends Object

Base class for all MQTT message types.

### Field Summary

Fields
`static MqttMessage` `DISCONNECT`
`static MqttMessage` `PINGREQ`
`static MqttMessage` `PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttMessage(MqttFixedHeader mqttFixedHeader)`
`MqttMessage(MqttFixedHeader mqttFixedHeader, Object variableHeader)`
`MqttMessage(MqttFixedHeader mqttFixedHeader, Object variableHeader, Object payload)`
`MqttMessage(MqttFixedHeader mqttFixedHeader, Object variableHeader, Object payload, io.netty.handler.codec.DecoderResult decoderResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.netty.handler.codec.DecoderResult` `decoderResult()`
`MqttFixedHeader` `fixedHeader()`
`Object` `payload()`
`String` `toString()`
`Object` `variableHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PINGREQ

    public static final MqttMessage PINGREQ

#### PINGRESP

    public static final MqttMessage PINGRESP

#### DISCONNECT

    public static final MqttMessage DISCONNECT

### Constructor Detail

#### MqttMessage

    public MqttMessage(MqttFixedHeader mqttFixedHeader)

#### MqttMessage

    public MqttMessage(MqttFixedHeader mqttFixedHeader,
                       Object variableHeader)

#### MqttMessage

    public MqttMessage(MqttFixedHeader mqttFixedHeader,
                       Object variableHeader,
                       Object payload)

#### MqttMessage

    public MqttMessage(MqttFixedHeader mqttFixedHeader,
                       Object variableHeader,
                       Object payload,
                       io.netty.handler.codec.DecoderResult decoderResult)

### Method Detail

#### fixedHeader

    public MqttFixedHeader fixedHeader()

#### variableHeader

    public Object variableHeader()

#### payload

    public Object payload()

#### decoderResult

    public io.netty.handler.codec.DecoderResult decoderResult()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`